/**************************************************/
/************* MEDIA QUERIES **********************/

@media screen and (max-width: 1870px) {
  body.hints-on .sticky-header {
    background-color:#000;
  }
  .standout-1, .standout-2 {
    padding: 0.5rem 2rem;
  }
  .standout-1 h1, .standout-2 h2 {
    font-size: 1.6rem;
  }
  .schedule .event > div,
  .schedule .event > div a,
  .schedule .event > div > .color-orange {
    font-size:1.2rem;
  } 
}

@media screen and (max-width: 1475px) {
  body.hints-on .sticky-header {
    background-color:#721116;
  }
  .main-container {
    flex-flow: column wrap;
  }
  .sticky-header--next-show {
    margin-left: 40px;
  }
  .sticky-header--next-show, .sticky-header--next-show a {
    font-size: 0.8rem;
  }
  .sticky-header--next-show em, .sticky-header--next-show span {
    font-size: 1rem;
  }

  nav {
    flex: unset;
    height: unset;
  }
  .promo-video {
    top:44;
  }

  h1, h2, h3, h4, h5, h6 {
    font-size: 1.6rem;
    line-height:2rem;
  }
  p {
    font-size:1.2rem;
    line-height:2.2rem;
  }

/*   .standout-2 {
    margin-top: 0;
  } */

  #footer {
    flex-flow: column wrap;
    flex-direction: column-reverse;
  }
  #footer-social {
    margin-top:30px;
  }

  .schedule .event > div,
  .schedule .event > div a,
  .schedule .event > div > .color-orange {
    font-size:1rem;
  } 

}

@media screen and (max-width: 1290px){
  body.hints-on .sticky-header {
    background-color:#EDAB20;
  }
  .sticky-header--next-show, .sticky-header--next-show a {
    font-size: 1em;
  }
  #next-event span.nowrap {
    font-size: 0.9rem;
    white-space: wrap;
  }
  .standout-1 {
    top: -120px;
  }
  #booking-block .standout-3 {
    width:100%;
  }
  #booking-block .standout-4 {
    bottom: unset;
    top: unset;
    right: unset;
    width:100%;
    height:auto;
    position: relative;
    margin-top: 50px;
  }
  .schedule .event > div,
  .schedule .event > div a,
  .schedule .event > div > .color-orange,
  .schedule .event--info {
    font-size:1.2rem;
    line-height:1.8rem;
  }
  .schedule .event {
    flex-flow: row wrap;
  }
  .schedule .event--links {
    flex: 0 0 100%; text-align:left; margin-top:20px; line-height:1.8rem;
  }
  .schedule .event--date {
    flex: 1 0 20%;
  }

}

@media screen and (max-width: 1024px) and (orientation: portrait){
  body.hints-on .sticky-header {
    background-color:#0F7D79;
  }
  #next-event span.nowrap {
    font-size: 0.8rem;
    white-space: wrap;
  }
  main, .main {
    max-width: 100%;
    width:fit-content;
    margin-left: 20px;
    margin-right: 20px;
  }
  .video-container {
    position:relative;
    padding-bottom:60%;
    overflow:hidden;
    max-width:100%;
    align-items:center;
    justify-content:center;
    text-align:center;
    width:100%;
    height:70%;
    margin-top: 70px;
    /*margin-bottom: 60px;*/
  }
  .video-container iframe {
    position:absolute;
    top:30px;
    left:0;
    width:100%;
    height:100%;
    border-radius:0;
  }
  .promo-video--bg {
    display:none;
  }
  .standout-1 {
    position: relative;
    top: 0;
    left:unset;
    width:100%;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
  }
  .standout-2 {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    margin:0;
  }
  .jump-link-target {
     scroll-margin-top: 200px;
  }
  h2.schedule-heading {
    font-size:2.4rem;
  }
  .schedule .event {
    flex-flow: column wrap;
  }
  #booking-block .booking-phone {
    font-size:2rem;
  }
  .modal-caption {
    font-size:1.4rem;
    width:100%;
  }
}

@media screen and (max-width: 670px) {
  body.hints-on .sticky-header {
    background-color:#444;
  }
  .sticky-header {
    flex-flow: column nowrap;
    padding: 0;
    gap: 0;
  }
  .sticky-header--next-show {
    background-color:#352216;
    padding: 20px;
    border-bottom: 3px solid #48372c;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4);
    margin-left: 0;
    font-size: 0.8rem;
  }
  .standout-1 {
    left: 0;
    width: 100%;
  }
  .standout-2 {
    width:100%;
    margin: 70px 0 0 0;

  }
  .standout-1 h1, .standout-2 h2 {
    font-size: 1.4rem;
  }
  .that-70s-band-heading {
    font-size: 1.45rem;
  }
  main, .main {
    margin-left: 0;
    margin-right: 0;
  }
  .video-container {
    padding-bottom:62%;
  }
  .paisley {
    border-radius:0;
  }
  .heading-bottom-bg .flower {
    right: -20px;
    bottom: 0;
  }
  .about-the-band img {
    float:none; width:100%; margin: 20px auto;
  }
  .disco-balls {
    top:-90px;
  }
  #booking-block {
    margin: 0 auto;
    max-width:100%;
    overflow:hidden;
  }
  #booking-block ul.bigger li {
    font-size: 1.4rem;
    line-height: 1.9rem;
  }
  #booking-block .paisley {
    padding: 20px;
    width: 100%;
  }
  #booking-block h2 {
    font-size: 2rem;
  }
}

@media screen and (max-width: 420px) {
  body.hints-on .sticky-header {
    background-color:#E8D7B7;
  }
  #logo img {
    max-height:110px;
  }
  .sticky-header--next-show em, .sticky-header--next-show span {
    font-size: 0.8rem;
  }
  .heading-middle {
    margin-left: 0;
    padding: 20px;
  }
  .heading-middle h1 {
    font-size: 1.4rem;
  }
  main, .main, .paisley {
    width:100%;
    max-width:100%;
  }
  .modal img {
    max-width:100%;
    max-height: 90%;
    margin-left: -5%;
    margin-right:-5%;
  }
  .modal-caption {
    bottom: 10%;
  }
  .modal .close-btn {
    right: 20px;
  }
  #booking-block .booking-phone {
    font-size: 1.4rem
  }
  #footer-text, #footer-text a {
    font-size:0.7rem;
  }
}

@media screen and (max-width: 350px) {
  body.hints-on .sticky-header {
    background-color:#aaa;
  }
  .disco-balls {
    top: -68px;
  }
}

@media screen and (max-width: 670px), screen and (max-height:670px) {
  .modal-caption {
    font-size:1rem;
    width:100%;
  }
}


@media screen and (max-width:1162px) and (orientation: landscape)  {
  body.hints-on .sticky-header {
    background-color:#40507c;
  }
  .sticky-header {
    height:80px;
    flex-flow: row nowrap;
  }
  .sticky-header--next-show {
    padding: 10px;
    box-shadow:unset;
    line-height: 0.8rem;
    border-bottom: none;
  }
  .heading-top-bg {
    width:70%;
  }
  .heading-middle {
    margin-left:0;
    padding: 20px;
    width:94%;
  }
  .heading-bottom-bg {
    margin-left: 20%;
    width:60%;
  }
  .about-the-band img {
    width:94%;
  }
  #next-event span.nowrap, .sticky-header--next-show a {
    font-size:0.6rem;
  }
  .sticky-header--next-show em.emphasis-bigger {
    font-size:0.6rem;
  }
  #logo img {
    height: 60px;
  }
  .video-container {
    position:relative;
    align-items:center;
    justify-content:center;
    text-align:center;
    width:100%;
    margin: 0 auto;
    max-width:870px;
    padding:0 20px 59% 20px;
  }
  .video-container iframe {
    position:absolute;
    top:30px;
    left:0;
    width:100%;
    height:78%;
    border-radius:0;
  }
  .promo-video--bg {
    display:none;
  }
  main, .main {
    width:100%;
  }
  .modal-caption {
    font-size:1rem;
    width:100%;
    bottom:3%;
  }
  .modal img {
    max-width:70%;
    max-height: 90%;
  }
  .modal .close-btn {
    right: 50px;
  }

}

@media screen and (max-width: 540px), screen and (max-height:570px) {
  #discoBall, #discoBallLight {
    display:none;
    visibility:hidden;
  }
  #menu {
    background-color:unset;
    max-width:500px;
    max-height:530px;
    margin:-70px 0 0 -30px;
    padding:0;
    border-radius:0;
  }
  #menu li {
    margin: 1.5rem auto;
  }
}


/* ADJUSTMENTS TO KEEP ALL OF THE VIDEO WITHIN THE VIEWPORT */
@media screen and (max-width:950px) and (orientation: landscape)  {
    .video-container {
      width: 80%;
      max-width: 750px;
    }
}

@media screen and (max-width:750px) and (orientation: landscape)  {
    .video-container {
      width: 90%;
      max-width: 680px;
    }
}

@media screen and (max-height:420px) and (orientation: landscape)  {
    .video-container {
      width: 60%;
      max-width: 650px;
    }
}